Package: javax.swing.tree

## [Java] Class TreePath

- javax.swing.tree.TreePath

-     public class TreePath
      extends Object

  GDK enhancements for TreePath.

  displayName:
    TreePath
  receiverFqcn:
    javax.swing.tree.TreePath

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Object` | `getAt(int index)` Support the subscript operator for TreePath.
    `` | `public Iterator<?>` | `iterator()` Returns an Iterator which traverses the TreePath one path at a time.
    `` | `public TreePath` | `leftShift(Object p)` Overloads the left shift operator to create a new `TreePath` with an additional child element.
    `` | `public int` | `size()` Provide the standard Groovy `size()` method for `TreePath`.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `addShutdownHook, any, any, asBoolean, asType, collect, collect, collect, dump, each, eachMatch, eachMatch, eachWithIndex, every, every, find, find, findAll, findAll, findIndexOf, findIndexOf, findIndexValues, findIndexValues, findLastIndexOf, findLastIndexOf, findResult, findResult, findResult, findResult, getAt, getMetaClass, getMetaPropertyValues, getProperties, grep, grep, hasProperty, identity, inject, inject, inspect, invokeMethod, is, isCase, isNotCase, iterator, metaClass, print, print, printf, printf, println, println, println, putAt, respondsTo, respondsTo, setMetaClass, sleep, sleep, split, sprintf, sprintf, stream, tap, toString, use, use, use, with, with, withCloseable, withCloseable, withMethodClosure, withStream, withStream, withTraits`

- - ### Method Detail

    - #### public Object getAt(int index)

      Support the subscript operator for TreePath.

      Parameters:
        `index` - the index of the path to get
      Returns:
        the path at the given index
      Since:
        1.6.4

    - #### public Iterator<?> iterator()

      Returns an Iterator which traverses the TreePath one path at a time.

      Returns:
        an Iterator for a TreePath
      Since:
        1.6.4

    - #### public TreePath leftShift(Object p)

      Overloads the left shift operator to create a new `TreePath` with an additional child element.

      Parameters:
        `p` - the child path element to append
      Returns:
        a new TreePath containing the original path plus `p`
      Since:
        1.6.4

    - #### public int size()

      Provide the standard Groovy `size()` method for `TreePath`.

      Returns:
        the path count of the treePath
      Since:
        1.6.4